variable "service_name" {
  type        = string
  description = "Name of the service"
  default     = "argocd"
}

variable "server_dns" {
  type        = string
  description = "Domain for the server"
}

variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "namespace" {
  type = string
}

variable "redis_db_start_index" {
  type        = number
  description = "Start index for redis db"
  default     = 0
}

variable "redis_password" {
  type      = string
  sensitive = true
}

variable "oauth_uri" {
  type        = string
  description = "OAuth URI"
  default     = null
}

variable "oauth_issuer" {
  type        = string
  description = "OAuth issuer"
  default     = null
}

variable "oauth_client_id" {
  type        = string
  description = "OAuth client ID"
  default     = null
}

variable "oauth_client_secret" {
  type        = string
  description = "OAuth client secret"
  default     = null
}

variable "oauth_redirect_uri" {
  type        = string
  description = "OAuth redirect URI"
  default     = null
}

variable "tls" {
  type    = bool
  default = false
}

variable "ingressClass" {
  description = "Ingress class to use"
  type        = string
  default     = "nginx"
}
